Skip to main content

GET /gpdomains/v2/aggregated/delivery_errors

GET 

gpdomains/v2/aggregated/delivery_errors

Retrieve total Google Postmaster v2 delivery-error counts and average rates grouped by domain and error category across all or filtered Google Postmaster v2 monitored domains

Query Parameters​

offset string
Number of items to skip before starting to return results

limit string
Maximum number of items to return per request

stats_date_from string Required
Start date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-07-06T00:00:00.000Z. Do not send timezone offsets

stats_date_to string Required
End date for filtering statistics. Use date-time without timezone because Google Postmaster records are stored as calendar-date records with the timestamp set to the start of that day. Example: 2021-08-06T00:00:00.000Z. Do not send timezone offsets. The difference between stats_date_from and stats_date_to must not exceed 30 days

domain string
Filter Google Postmaster v2 domains by a domain name substring

profile_id string
Filter Google Postmaster v2 domains by profile ID

compliance string
Filter by domain compliance status. Accepts a comma-separated string or JSON array of values.

sort string
Sort field and order (for example, -count for descending or count for ascending)

Returns

  • dataarray
    • domainstring
      Monitored domain name
    • error_typestring
      Delivery-error type
      Allowed values: ALL, REJECT, TEMP_FAIL
    • error_reasonstring
      Delivery-error reason
      Allowed values: ALL, BAD_ATTACHMENT, BAD_OR_MISSING_PTR_RECORD, IP_IN_RBLS, LOW_DOMAIN_REPUTATION, LOW_IP_REPUTATION, SPAMMY_CONTENT, STAMP_POLICY_ERROR, ANOMALOUS_TRAFFIC_PATTERN, OTHER
    • countnumber
      Total number of messages affected by this delivery error
    • ratenumber
      Average rate of messages affected by this delivery error
  • metaobject
    Pagination metadata for list responses
    • countinteger
      Total number of items available
    • offsetinteger
      Number of items skipped
    • limitinteger
      Maximum number of items returned per request
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

403 Forbidden

Forbidden

500 Internal Server Error

Internal server error